Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## interfacing
Class ProcessingRatesTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          javax.swing.table.DefaultTableModel
              interfacing.ProcessingRatesTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class ProcessingRatesTableModel

extends javax.swing.table.DefaultTableModel

See Also:
  Serialized Form

Constructor Summary
`ProcessingRatesTableModel(java.lang.String[] cols, int rows)` Default constructor

Method Summary
`boolean` | `isCellEditable(int row, int column)` To prevent editing the id column.
`boolean` | `isEditable()`
`void` | `setEditable(boolean editable)`

Methods inherited from class javax.swing.table.DefaultTableModel
`addColumn, addColumn, addColumn, addRow, addRow, getColumnCount, getColumnName, getDataVector, getRowCount, getValueAt, insertRow, insertRow, moveRow, newDataAvailable, newRowsAdded, removeRow, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount, setValueAt`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessingRatesTableModel

    public ProcessingRatesTableModel(java.lang.String[] cols,
                                     int rows)

  Default constructor

  Parameters:
    `cols` - is a string containing the names of the columns.
    `rows` - is the numbers of rows

Method Detail

### isEditable

    public boolean isEditable()

### setEditable

    public void setEditable(boolean editable)

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  To prevent editing the id column.

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.DefaultTableModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD